/*
 * JPA entity PK template
 */

package de.ivu.elect.business.wahlbeteiligung.entity;

@javax.enterprise.inject.Vetoed
public class WahlbeteiligungVerlaufPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<WahlbeteiligungVerlaufPK> {

  private static final long serialVersionUID = 0L;

  public WahlbeteiligungVerlaufPK() {
    super();
  }

  public WahlbeteiligungVerlaufPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "WahlbeteiligungVerlaufPK:"+getId();
  }

  @Override
  public int compareTo(WahlbeteiligungVerlaufPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
